summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-11 05:50:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-11 05:50:46 +0000
commitb57829d2e74fd811e4ee90ed204e280a1badb35d (patch)
tree3a6bdc8c95def00c2122ccc2b44a6d5a842084c4 /dev-python
parent4e3e74413536746122bbc51df4f6d4b6ce14c153 (diff)
downloadbaldeagleos-repo-b57829d2e74fd811e4ee90ed204e280a1badb35d.tar.gz
baldeagleos-repo-b57829d2e74fd811e4ee90ed204e280a1badb35d.tar.xz
baldeagleos-repo-b57829d2e74fd811e4ee90ed204e280a1badb35d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt5/Manifest1
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.10-r1.ebuild158
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.10.3.ebuild112
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.110.2.ebuild103
-rw-r--r--dev-python/jpype/jpype-1.5.0.ebuild2
-rw-r--r--dev-python/patatt/metadata.xml4
-rw-r--r--dev-python/pyrate-limiter/Manifest3
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-2.10.0.ebuild62
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.6.2.ebuild (renamed from dev-python/pyrate-limiter/pyrate-limiter-3.6.0.ebuild)0
-rw-r--r--dev-python/webcolors/Manifest1
-rw-r--r--dev-python/webcolors/webcolors-24.8.0.ebuild21
13 files changed, 246 insertions, 223 deletions
diff --git a/dev-python/PyQt5/Manifest b/dev-python/PyQt5/Manifest
index c706635f817c..5ec13290bf27 100644
--- a/dev-python/PyQt5/Manifest
+++ b/dev-python/PyQt5/Manifest
@@ -1,2 +1 @@
-DIST PyQt5-5.15.10.tar.gz 3242654 BLAKE2B 55a4cedf1ac3fd0f2968ca07544d2248d1798f134b7490eb1d07663af9f1606543564a42d5478871f5dbfc0b249b73965fd0505261fd2872c724da6d28e5b61a SHA512 e62debe112210b68993377264448199b66a43fc5db13c583a25e210759f5cd945bd1056c1c19fb86bcf005c6904358dfb89e005d27167a349f1d55987a63013e
DIST PyQt5-5.15.11.tar.gz 3216775 BLAKE2B 5bc6cb12b8189ec0767be891971a9fd35109236eb4753eb77940104b71bbf78db4ed2354c54adf5d45655a8ded1cb10033afc037d8a3604c5db3ea073d394e0c SHA512 e52ca215f65dbb035deff042112e26be38b77405a45caebdae3e626ffe6487c88c97c54bfa33cc83d96537daa82b67b7a1c621696538e154e5996714fc063a92
diff --git a/dev-python/PyQt5/PyQt5-5.15.10-r1.ebuild b/dev-python/PyQt5/PyQt5-5.15.10-r1.ebuild
deleted file mode 100644
index e0b3f8a12300..000000000000
--- a/dev-python/PyQt5/PyQt5-5.15.10-r1.ebuild
+++ /dev/null
@@ -1,158 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=sip
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
-
-DESCRIPTION="Python bindings for the Qt framework"
-HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
-
-IUSE="
- bluetooth dbus debug declarative designer examples gles2-only gui help location
- multimedia network opengl positioning printsupport sensors serialport speech
- sql +ssl svg testlib webchannel websockets widgets x11extras xmlpatterns
-"
-
-# The requirements below were extracted from the qmake_QT declarations
-# in project.py and from the output of 'grep -r "%Import " ${S}/sip'
-REQUIRED_USE="
- bluetooth? ( gui )
- declarative? ( gui network )
- designer? ( widgets )
- help? ( gui widgets )
- location? ( positioning )
- multimedia? ( gui network )
- opengl? ( gui widgets )
- positioning? ( gui )
- printsupport? ( gui widgets )
- sensors? ( gui )
- serialport? ( gui )
- sql? ( widgets )
- svg? ( gui widgets )
- testlib? ( widgets )
- webchannel? ( network )
- websockets? ( network )
- widgets? ( gui )
- xmlpatterns? ( network )
-"
-
-# Minimal supported version of Qt.
-QT_PV="5.15:5"
-
-DEPEND="
- >=dev-qt/qtcore-${QT_PV}
- >=dev-qt/qtxml-${QT_PV}
- bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
- dbus? (
- dev-python/dbus-python[${PYTHON_USEDEP}]
- >=dev-qt/qtdbus-${QT_PV}
- sys-apps/dbus
- )
- declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
- designer? ( >=dev-qt/designer-${QT_PV} )
- gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
- help? ( >=dev-qt/qthelp-${QT_PV} )
- location? ( >=dev-qt/qtlocation-${QT_PV} )
- multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
- network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
- opengl? ( >=dev-qt/qtopengl-${QT_PV} )
- positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
- printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
- sensors? ( >=dev-qt/qtsensors-${QT_PV} )
- serialport? ( >=dev-qt/qtserialport-${QT_PV} )
- speech? ( >=dev-qt/qtspeech-${QT_PV} )
- sql? ( >=dev-qt/qtsql-${QT_PV} )
- svg? ( >=dev-qt/qtsvg-${QT_PV} )
- testlib? ( >=dev-qt/qttest-${QT_PV} )
- webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
- websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
- widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
- x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
- xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
-"
-RDEPEND="
- ${DEPEND}
- >=dev-python/PyQt5-sip-12.13:=[${PYTHON_USEDEP}]
-"
-BDEPEND="
- >=dev-python/PyQt-builder-1.14.1[${PYTHON_USEDEP}]
- >=dev-python/sip-6.7.12[${PYTHON_USEDEP}]
- >=dev-qt/qtcore-${QT_PV}
- dbus? ( virtual/pkgconfig )
-"
-
-python_configure_all() {
- append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
-
- pyqt_use_enable() {
- local state=$(usex ${1} --enable= --disable=)
- shift
- echo ${*/#/${state}}
- }
-
- DISTUTILS_ARGS=(
- --jobs="$(makeopts_jobs)"
- --qmake="$(qt5_get_bindir)"/qmake
- --qmake-setting="$(qt5_get_qmake_args)"
- --verbose
- --confirm-license
-
- --enable=pylupdate
- --enable=pyrcc
- --enable=Qt
- --enable=QtCore
- $(pyqt_use_enable bluetooth QtBluetooth)
- $(pyqt_use_enable dbus QtDBus)
- $(pyqt_use_enable declarative QtQml QtQuick \
- $(usev widgets QtQuickWidgets))
- $(pyqt_use_enable designer QtDesigner)
- $(pyqt_use_enable gui QtGui \
- $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
- $(pyqt_use_enable help QtHelp)
- $(pyqt_use_enable location QtLocation)
- $(pyqt_use_enable multimedia QtMultimedia \
- $(usev widgets QtMultimediaWidgets))
- $(pyqt_use_enable network QtNetwork)
- $(pyqt_use_enable opengl QtOpenGL)
- $(pyqt_use_enable positioning QtPositioning)
- $(pyqt_use_enable printsupport QtPrintSupport)
- $(pyqt_use_enable sensors QtSensors)
- $(pyqt_use_enable serialport QtSerialPort)
- $(pyqt_use_enable speech QtTextToSpeech)
- $(pyqt_use_enable sql QtSql)
- $(pyqt_use_enable svg QtSvg)
- $(pyqt_use_enable testlib QtTest)
- $(pyqt_use_enable webchannel QtWebChannel)
- $(pyqt_use_enable websockets QtWebSockets)
- $(pyqt_use_enable widgets QtWidgets)
- $(pyqt_use_enable x11extras QtX11Extras)
- --enable=QtXml
- $(pyqt_use_enable xmlpatterns QtXmlPatterns)
-
- $(usev debug '--debug --qml-debug --tracing')
-
- $(usev !dbus --no-dbus-python)
- # note: upstream currently intentionally skips installing these two
- # plugins when using wheels w/ pep517 so, *if* something does need
- # them, it will need to be handled manually
- $(usev !declarative --no-qml-plugin)
- $(usev !designer --no-designer-plugin)
-
- $(usev gles2-only --disabled-feature=PyQt_Desktop_OpenGL)
- $(usev !ssl --disabled-feature=PyQt_SSL)
- )
-}
-
-python_install_all() {
- einstalldocs
- use examples && dodoc -r examples
-}
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 25c3d5b071fd..5d43c8c4b759 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,3 +1,4 @@
DIST aiohttp-3.10.1.tar.gz 7517572 BLAKE2B 4400cbda0997f3602ace4aae7ba153dcb515d49d8d3431fab087ebba3126d8fa82121998b1d8e36e2b86c9144a5c124ac16c12520cd47fea7956e6c04e2b4e55 SHA512 59f743ce7821b46da531eb576bbf20409407726b6ba78be9615f715ab2404cc3668120d2ec1566dcab7017ba36bf1753a3365b81097da53685c93ba013c3c94a
DIST aiohttp-3.10.2.tar.gz 7520621 BLAKE2B a8e44ba6292e614ac9a7b15649a9838e354ca17bb14df61ccf9b1f2c0ce647e5786933701c85105a493b11e6a4c3edcb80e6ba43a501c4600a3b7b699c5c64f6 SHA512 61baa7a264a2bf38624a339b8e0ddc066aba7cb3da13d8e24fc705d4bf098796f198354c7b913a12ee3c8bc0c5468313432dad51f343c8dfc8efef020b385c88
+DIST aiohttp-3.10.3.tar.gz 7521618 BLAKE2B 2b5ff621d5b58f5c09060ee2e245fc758dde81741fa98ea9ee2215ea7f0f511f2732111af84df5d14075284376a619c3025fd6790d9a7c460d7e0b9a2cb8d8f2 SHA512 fabf06bb8556b5870be37c76c50664289227d79a0f322aef830ebbcbdd2429d4499a767c74f53c83b1622cbb8278c36294777baae84ee5b86fab652d7fcd5c7c
DIST aiohttp-3.9.5.tar.gz 7504841 BLAKE2B f051ee88d45952219f72d542f1c6d0cc33c699c6c5fb5dbe3bc054ee4d0e03121b219c8c8524fd1236a8b878329b0997b8afe07d6c66074102d4a2052a8738ff SHA512 da11468a2f131275593395b052700a99cf79055a32d48327dca0f58547ad30add8cd0a375dbd831e2f06fe7a739183251e4ad69c16f3d141799bbed45a8a5dc4
diff --git a/dev-python/aiohttp/aiohttp-3.10.3.ebuild b/dev-python/aiohttp/aiohttp-3.10.3.ebuild
new file mode 100644
index 000000000000..c8ebadae0b89
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.10.3.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/aiodns-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohappyeyeballs-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/async-timeout-5[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure_all() {
+ # workaround missing files
+ mkdir tools || die
+ > requirements/cython.txt || die
+ > tools/gen.py || die
+ chmod +x tools/gen.py || die
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch,
+ # sigh
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin
+ rm -rf aiohttp || die
+ epytest -m "not internal and not dev_mode" \
+ -p rerunfailures --reruns=5
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 35515be78cd3..4f2329aad610 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,3 +6,4 @@ DIST hypothesis-6.108.9.gh.tar.gz 9474517 BLAKE2B c5f10dcc096e7c410444bc609ef8d2
DIST hypothesis-6.109.0.gh.tar.gz 9475581 BLAKE2B 2e523b35745b7d1062c17093cf8b80da746574b985653f8f3e83880e5e2f3a3671a7b264b071c8c45394ce190154cc6f6b5f8ae508a9eb6c5911a836753497a4 SHA512 da8ff55e3661bc7f4cb9e5378ae37284af8b246d9fc5162363ba67c8ab4147f3c6d0feff7afa9d7deaeab3ab4cde6ba972c6b1d6464602eb78dcd33f67094113
DIST hypothesis-6.110.0.gh.tar.gz 9476232 BLAKE2B 69ba7c4872608a69ae18e35fa895cec6fc4fa2dc426a0f876d41d5e85eec061962d98edeaaefeddd5244423923231316dc29ce4eba3a639e533bd61a52d6425c SHA512 45fa3bcb59e9e7f173b153b56888d69df2650f5382226c92f1f67ae9c9ad7e3fff383cb27c9862c7ea103c1b059c8de9d04c66cbaaf7a2a5b529044b3a31ed41
DIST hypothesis-6.110.1.gh.tar.gz 9476363 BLAKE2B c5d14004658c05626b6f673ad41657c209df0efb13d865cdaf35c7480561bbbb407fb998b64a2750e47c360e44d61dad6fe81cbcb26b33319b536f0d9ca0bb72 SHA512 a070a0ef3c18f2e40b55e3192b7ce033d729c46b4c0328a98cbeb2495a5b224689e44d61f5bf0b4d1d27548f65a00b7e5e9127b803ec2c70ee4f4f05e2925075
+DIST hypothesis-6.110.2.gh.tar.gz 9476926 BLAKE2B 8fb0b250e9c49f56d9b0d077db6305ab86c21eed4739605d3a45423cc0d5695be0e27cab351263f7c3526b26453aee38d6b794464052be6154b4158a776cc873 SHA512 2386f75b91e42e20babf5fc78fcc1ed22391bfa144f318074b0efdb4a1575a6db597aa3c00e756ddea24b792f49d9d6269b6aebb8f8aa8c497e98d3bf2771749
diff --git a/dev-python/hypothesis/hypothesis-6.110.2.ebuild b/dev-python/hypothesis/hypothesis-6.110.2.ebuild
new file mode 100644
index 000000000000..6ba8058fdf38
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.110.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jpype/jpype-1.5.0.ebuild b/dev-python/jpype/jpype-1.5.0.ebuild
index 3082db18eb45..eccf83c2f432 100644
--- a/dev-python/jpype/jpype-1.5.0.ebuild
+++ b/dev-python/jpype/jpype-1.5.0.ebuild
@@ -19,6 +19,8 @@ KEYWORDS="~amd64"
RDEPEND="virtual/jdk"
+distutils_enable_tests pytest
+
# WORKAROUND: Overload function to nullify blocking QA check.
# To be deleted after resolution of
# https://bugs.gentoo.org/937642
diff --git a/dev-python/patatt/metadata.xml b/dev-python/patatt/metadata.xml
index 12533cd44cf0..0d9141ef78bd 100644
--- a/dev-python/patatt/metadata.xml
+++ b/dev-python/patatt/metadata.xml
@@ -5,6 +5,10 @@
<email>zx2c4@gentoo.org</email>
<name>Jason A. Donenfeld</name>
</maintainer>
+ <maintainer type="person">
+ <email>mpagano@gentoo.org</email>
+ <name>Mike Pagano</name>
+ </maintainer>
<origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index 55c15d3fb6d2..b47ffe60d487 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1,3 +1,2 @@
-DIST pyrate-limiter-2.10.0.gh.tar.gz 71838 BLAKE2B 3b8fd16684268870991c3a731c5497802c6f7be51e57bc983a14a7484fad2d0983613304fa061fdb70a3e6645d17fe37fbd68e9ddeca57bc7bd97fef4a5d8585 SHA512 b0090b2d80d40ba2f86ac7b5c5612a35fa885b52a87d783aa9726782275e79ca8d54a9a44b1f0dd43c98bf2355f4c17e1686d7c7f806934ea492b67f66b06ffe
-DIST pyrate_limiter-3.6.0.tar.gz 280021 BLAKE2B 4ff5e115376cfb5d860c4cd6437ccbb323e40f96bb81a9933f6f648d029c0f3a1d6674e1a9e1c0309a7087a9d1eb670918ca60d3c960e8acab017e12ffa5c28e SHA512 1f7f92203be443c27e2825022462c51eec2e276a4e58afc129599eacde21da55ed8229b0e5c7af21e650eb896b22c73f5fd227f56c1455cbd8d506894fed73a9
DIST pyrate_limiter-3.6.1.tar.gz 280264 BLAKE2B 042601c2f80fc855301cda8be4af2547afdfb9532a93a418201db312535a12fa30b2469024ee318a14cb51f4555522b70b6aeef96d41978eb8f8c31d046a0a73 SHA512 b57cbd40473eab549ede0045451d1178dccfcac73f328bf4fe8106172602b52bafe612e2fa2df09f9fe99bdf68c3c7447e8d4f749ba260f3b29656100718c02b
+DIST pyrate_limiter-3.6.2.tar.gz 280852 BLAKE2B 39b92d5a0486a3b30328d87ea9fe60502c6405761c8d12fa289ca9f8d4583aa12720de3fca7391084edce1ad7b0f000f0c15e488378cd507fb26c54430fe33b4 SHA512 210ac51dc7048f91b2ea2875b40805bb13b1cbcc7b4aa45984430c78ff6c68523b93e8c5915a719fbf20371076ff07fa46c07b1a380988d9748b5d648f08aac5
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-2.10.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-2.10.0.ebuild
deleted file mode 100644
index 863816e4f681..000000000000
--- a/dev-python/pyrate-limiter/pyrate-limiter-2.10.0.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
-HOMEPAGE="
- https://github.com/vutran1710/PyrateLimiter/
- https://pypi.org/project/pyrate-limiter/
-"
-SRC_URI="
- https://github.com/vutran1710/PyrateLimiter/archive/refs/tags/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/PyrateLimiter-${PV}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/redis[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/django[${PYTHON_USEDEP}]
- dev-python/django-redis[${PYTHON_USEDEP}]
- dev-python/fakeredis[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-xdist[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # Optional dependency redis-py-cluster not packaged
- "tests/test_02.py::test_redis_cluster"
- # Python 3.11 is slightly faster, leading to a non-critical failure here
- "tests/test_concurrency.py::test_concurrency[ProcessPoolExecutor-SQLiteBucket]"
-)
-
-# TODO: package sphinx-copybutton
-# distutils_enable_sphinx docs \
-# dev-python/sphinx-autodoc-typehints \
-# dev-python/furo \
-# dev-python/myst-parser \
-# dev-python/sphinxcontrib-apidoc
-distutils_enable_tests pytest
-
-src_prepare() {
- # workaround installing LICENSE into site-packages
- sed -i -e 's:^include:exclude:' pyproject.toml || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.6.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.6.2.ebuild
index 53f31602a265..53f31602a265 100644
--- a/dev-python/pyrate-limiter/pyrate-limiter-3.6.0.ebuild
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.6.2.ebuild
diff --git a/dev-python/webcolors/Manifest b/dev-python/webcolors/Manifest
index 177b208d9dc3..87f098e314cb 100644
--- a/dev-python/webcolors/Manifest
+++ b/dev-python/webcolors/Manifest
@@ -1 +1,2 @@
DIST webcolors-24.6.0.tar.gz 41449 BLAKE2B dd1a0bb3c2efd8b9dae4ab48b38796f9798ab8883d3466039dfd9739dcc65acd7de37c0629996844d486871958b58196e46d04d43b31106d8462abdeb34c8e2e SHA512 22b4eda3c6b0c06c6cb5873f22b63227db4d1f87c8c673556be8a2f58ea4b27aedd1b115b882602a07d997066c973c1b64ba8162abf538fae96ff54e00f699a5
+DIST webcolors-24.8.0.tar.gz 42392 BLAKE2B fafc144aafddeeff00c9614cf3877890012a64c6c1e095f88b3ec6405f13fd274d5c3eafcdaed8d35d453534dac0010e76c19c86cea535c9342456e70cf4b81e SHA512 9a008261fe5283a90d4986a77463ac2614585c421d4ba7c19d99d98f7d13be6cf53f9ef3916a7b5b4af5ebadbbb0ba2fee266b419706f181acbd6a4c012cc5cb
diff --git a/dev-python/webcolors/webcolors-24.8.0.ebuild b/dev-python/webcolors/webcolors-24.8.0.ebuild
new file mode 100644
index 000000000000..1edfccab4c30
--- /dev/null
+++ b/dev-python/webcolors/webcolors-24.8.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Color names and value formats defined by the HTML and CSS specifications"
+HOMEPAGE="
+ https://github.com/ubernostrum/webcolors/
+ https://pypi.org/project/webcolors/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+distutils_enable_tests unittest